
QGIS Application - Bug report #20472

QML Bar Chart y-axis min-max wrong

2018-11-13 08:36 AM - Simon Gröchenig

Status: Closed

Priority: Normal

Assignee: David Signer

Category: Forms

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28292

Description

The minimum and maximum values for the y-axis of the QML bar chart does not work if data-defined values are used. The maximum

hard-coded number is used instead. If no hard-coded number is preset, the default extent from -0.5 to 0.5 is shown.

See the attached screenshots (and used dataset)!

Associated revisions

Revision e8416661 - 2019-01-21 05:58 PM - David Signer

use valueAxis in qml example

fixes #20472

History

#1 - 2018-11-13 12:25 PM - Giovanni Manghi

- Operating System deleted (Win 7)

#2 - 2018-11-19 09:35 AM - Simon Gröchenig

- Assignee set to David Signer

@David, do you (as contributor of this feature) confirm this bug?

#3 - 2018-11-19 10:21 AM - David Signer

Thanks for reporting. I can confirm the behavior.

#4 - 2019-01-21 11:20 PM - David Signer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|e8416661a4eb0e80edd6c9a112ffbff253d5e3ae.

Files
info_tool_with_error.PNG 29.4 KB 2018-11-13 Simon Gröchenig

qml_chart_editor.PNG 52.4 KB 2018-11-13 Simon Gröchenig

qml_chart_error.csv 126 Bytes 2018-11-13 Simon Gröchenig
